# GimpUi.Dialog.set_alternative_button_order_from_array

    @accepts(GimpUi.Dialog, int, [int])
    @returns(none)
    def set_alternative_button_order_from_array(self, n_buttons, order):
        # Python wrapper for gimp_dialog_set_alternative_button_order_from_array()

Reorder self's buttons if [property@Gtk.Settings:gtk-alternative-button-order] is set to TRUE. This is mostly a wrapper around the GTK function [method@Gtk.Dialog.set_alternative_button_order], except it won't output a deprecation warning.

Since 3.0

self

  The GimpUi.Dialog

n_buttons

  The size of order

order

  array of buttons' response ids.